Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class HandlerDescription

    java.lang.Object
      org.apache.axis2.description.HandlerDescription

All Implemented Interfaces:
  ParameterInclude

    public class HandlerDescription

extends java.lang.Object
implements ParameterInclude

Represents the deployment information about the handler

Constructor Summary
`HandlerDescription()` Constructor HandlerDescription.
`HandlerDescription(java.lang.String name)` Constructor HandlerDescription.

Method Summary
`void` | `addParameter(Parameter param)` Add a Parameter
`void` | `deserializeParameters(org.apache.axiom.om.OMElement parameterElement)`
`java.lang.String` | `getClassName()` Method getClassName.
`Handler` | `getHandler()`
`java.lang.String` | `getName()`
`Parameter` | `getParameter(java.lang.String name)` Get a named Parameter
`java.util.ArrayList<Parameter>` | `getParameters()` Gets all the parameters in a given description.
`ParameterInclude` | `getParent()`
`PhaseRule` | `getRules()` Method getRules.
`boolean` | `isParameterLocked(java.lang.String parameterName)` Checks whether the parameter is locked at any level.
`void` | `removeParameter(Parameter param)`
`void` | `setClassName(java.lang.String className)` Method setClassName.
`void` | `setHandler(Handler handler)` Explicitly set the Handler object
`void` | `setName(java.lang.String name)` Set the name
`void` | `setParent(ParameterInclude parent)`
`void` | `setRules(PhaseRule rules)` Set the deployment rules for this HandlerDescription

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerDescription

    public HandlerDescription()

  Constructor HandlerDescription.

### HandlerDescription

    public HandlerDescription(java.lang.String name)

  Constructor HandlerDescription.

  Parameters:
    `name` - name of handler

Method Detail

### addParameter

    public void addParameter(Parameter param)
                      throws AxisFault

  Add a Parameter

  Specified by:
    `addParameter` in interface `ParameterInclude`
  Parameters:
    `param` - the Parameter to associate with this HandlerDescription
  Throws:
    `AxisFault`

### removeParameter

    public void removeParameter(Parameter param)
                         throws AxisFault

  Specified by:
    `removeParameter` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### deserializeParameters

    public void deserializeParameters(org.apache.axiom.om.OMElement parameterElement)
                               throws AxisFault

  Specified by:
    `deserializeParameters` in interface `ParameterInclude`
  Throws:
    `AxisFault`

### getClassName

    public java.lang.String getClassName()

  Method getClassName.

  Returns:
    Returns String.

### getHandler

    public Handler getHandler()

  Returns:
    Returns Handler.

### getName

    public java.lang.String getName()

  Returns:
    Returns QName.

### getParameter

    public Parameter getParameter(java.lang.String name)

  Get a named Parameter

  Specified by:
    `getParameter` in interface `ParameterInclude`
  Parameters:
    `name` - name of Parameter to search
  Returns:
    a Parameter, which may come from us or from some parent up the tree, or null.

### getParameters

    public java.util.ArrayList<Parameter> getParameters()

  Description copied from interface: `ParameterInclude`
  Gets all the parameters in a given description.

  Specified by:
    `getParameters` in interface `ParameterInclude`
  Returns:
    Returns ArrayList.

### getParent

    public ParameterInclude getParent()

### getRules

    public PhaseRule getRules()

  Method getRules.

  Returns:
    Returns PhaseRule.

### isParameterLocked

    public boolean isParameterLocked(java.lang.String parameterName)

  Description copied from interface: `ParameterInclude`
  Checks whether the parameter is locked at any level.

  Specified by:
    `isParameterLocked` in interface `ParameterInclude`

### setClassName

    public void setClassName(java.lang.String className)

  Method setClassName.

  Parameters:
    `className` - the class name of the Handler class

### setHandler

    public void setHandler(Handler handler)

  Explicitly set the Handler object

  Parameters:
    `handler` - a Handler instance, which will be deployed wherever this HandlerDescription is

### setName

    public void setName(java.lang.String name)

  Set the name

  Parameters:
    `name` - the desired name

### setParent

    public void setParent(ParameterInclude parent)

### setRules

    public void setRules(PhaseRule rules)

  Set the deployment rules for this HandlerDescription

  Parameters:
    `rules` - a PhaseRule object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.